toolzerhub API Docs

List community members

List the members of a community. Paginate with cursor and has_more. An unknown community ID returns data: null.

6 credits / requestBilled only on success
GET
/v1/x/community/members

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

community_id*string

Numeric community ID from the community's x.com/i/communities URL.

Match^\d{1,25}$
cursor?string

cursor from the previous response. Omit for the first page and send it unchanged for later pages.

Lengthlength <= 2000
curl -X GET "https://example.com/v1/x/community/members?community_id=1493446837214187523" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "members": [      {        "id": "641633",        "handle": "marckohlbrugge",        "name": "Marc KΓΆhlbrugge",        "description": "🚧 https://t.co/aMZ4K3azU0 🏠 https://t.co/1KH3Ex4L2r πŸ€‘ https://t.co/z2G662Uvhl πŸ‘€ https://t.co/LtA0MMRVNA πŸš€ https://t.co/sxmNUGTYQv πŸ“£ https://t.co/oPODwYE4Iq πŸ’» https://t.co/leziY51tRd πŸ“Έ https://t.co/NJnFBXCSCj #️⃣ https://t.co/6qUnpK7VH5",        "location": null,        "website": "https://t.co/QVn818Sinw",        "avatar_url": "https://pbs.twimg.com/profile_images/1857124042433572864/iMivVaYP_normal.jpg",        "banner_url": "https://pbs.twimg.com/profile_banners/641633/1781378883",        "followers_count": 89305,        "following_count": 974,        "posts_count": 50145,        "media_count": 4896,        "likes_count": 37852,        "is_verified": false,        "is_blue_verified": true,        "verified_type": null,        "protected": false,        "created_at": "2007-01-15T23:55:33.000Z",        "pinned_post_ids": null,        "is_automated": null      },      {        "id": "206773396",        "handle": "fajarsiddiqFS",        "name": "Fajar Siddiq",        "description": "πŸ‘¨πŸ»β€πŸ’»πŸ‡ΈπŸ‡¬πŸ‡²πŸ‡Ύ πŸŒ΄πŸ•οΈπŸŽ’\n✨ Founder of @EuphoryaHQ\nπŸ’ Husband of @ByNoorAsyikin",        "location": "Singapore / Malaysia",        "website": "https://t.co/DRXHU7Wtbx",        "avatar_url": "https://pbs.twimg.com/profile_images/2077152618909188098/CgCTfSD5_normal.jpg",        "banner_url": "https://pbs.twimg.com/profile_banners/206773396/1784066879",        "followers_count": 16677,        "following_count": 2032,        "posts_count": 52467,        "media_count": 5874,        "likes_count": 62960,        "is_verified": false,        "is_blue_verified": false,        "verified_type": null,        "protected": false,        "created_at": "2010-10-23T17:49:21.000Z",        "pinned_post_ids": null,        "is_automated": null      }    ],    "count": 2,    "cursor": "Q3ljUkFBQUFBQXdBQkF3S213ekJWUW8rdlFBQUFBQkViNUJUQ20wN0FBQUJmd2RyQS9nQURKb3JDajY5Zi8vLy8vLy8vLzhLYlR0",    "has_more": true  }}